Changes between Initial Version and Version 7 of Ticket #49


Ignore:
Timestamp:
01/11/14 16:46:33 (9 years ago)
Author:
ossi
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #49

    • Property Status changed from new to closed
    • Property Reporter changed from slavazanko to mirkobau
    • Property Branch state changed from to no branch
    • Property Resolution changed from to wontfix
    • Property Severity changed from to no branch
  • Ticket #49 – Description

    initial v7  
    1 Origin: http://savannah.gnu.org/bugs/?16910 
     1Original: http://savannah.gnu.org/bugs/?16910 
    22 
    33||Submitted by:||mirko <mirkobau>||Submitted on:||Thu 22 Jun 2006 01:30:35 PM UTC|| 
    44||Category:||None||Severity:||3 - Normal|| 
    5 ||Status:||None Privacy:||Public|| 
     5||Status:||None||Privacy:||Public|| 
    66||Assigned to:||None||Open/Closed:||Open|| 
    77||Release:||None||Operating System:||None|| 
    88 
    9 Discussion: 
     9Original submission: 
    1010{{{ 
    11 Thu 22 Jun 2006 01:30:35 PM UTC, comment #3: 
     11putty (puttyssh.org) is an xterm-compliant terminal emulator with  
     12mouse support, and has its own terminfo definition file that  
     13instructs ncurses how to correctly recognize the keys received, but  
     14in 'src/main.c' the 'if..' block does tests only on xterm, rxvt,  
     15and dtterm terminals. 
    1216 
     17i used TERM=xterm-color, but when i found the terminfo file 'putty- 
     18256color' i wanted to use it. 
     19After standard compilation everythyng was running well (home/end  
     20keys, and all others), but mc had no mouse support. 
     21 
     22actually i have corrected this problem adding the comparison: 
     23 
     24|| strncmp (termvalue, "putty", 5) == 0 
     25 
     26in the main.c file, in function init_xterm_support(), but i suggest  
     27to insert a parameter in a global option file, in wich a sysadmin  
     28could insert a line such as: 
     29 
     30[xterm-compliant] 
     31xterm* 
     32rxvt* 
     33dtterm 
     34putty* 
     35fooxterm* 
     36barxterm* 
     37... 
     38 
     39and so on. 
     40thank you for the time spent in reading my opinions. 
     41 
     42bye from Mir (it@euro). 
     43}}} 
     44 
     45Comment 1 by Pavel Tsekov <ptsekov> at Tue 25 Apr 2006 01:44:34 PM UTC: 
     46{{{ 
     47http://puttyssh.org/faq.html#faq-term 
     48 
     49Where does putty-256color come from ? 
     50 
     51Anyway, I think that your suggestion about adding a new section to  
     52the configuration file makes sense. 
     53}}} 
     54 
     55Comment 2 by mirko <mirkobau> at Tue 25 Apr 2006 02:56:11 PM UTC: 
     56{{{ 
     57i took it from a terminfo definitions file, downloadable from: 
     58 
     59ftp://invisible-island.net/ncurses/ 
     60 
     61the file i used is: terminfo.src.gz 
     62 
     63inside it i have found a section with putty and putty-256color  
     64definitions: 
     65 
     66gunzip terminfo.src.gz 
     67tic terminfo.src 
     68 
     69note: tic says that terminfo.src has some errors, but i didn't  
     70care, 'cause i really need the definitions for xterm* and putty*  
     71terminals. 
     72}}} 
     73 
     74Comment 3 by Leonard den Ottolander <leonardjo> at Thu 22 Jun 2006 01:30:35 PM UTC: 
     75{{{ 
    1376This item has been reassigned from the project GNU Midnight  
    1477Commander patch tracker to your tracker. 
     
    83146[field #64] Custom Select Box #10: None 
    84147 
    85         Leonard den Ottolander <leonardjo> 
    86 Project Member 
    87 Tue 25 Apr 2006 02:56:11 PM UTC, comment #2: 
    88  
    89 i took it from a terminfo definitions file, downloadable from: 
    90  
    91 ftp://invisible-island.net/ncurses/ 
    92  
    93 the file i used is: terminfo.src.gz 
    94  
    95 inside it i have found a section with putty and putty-256color  
    96 definitions: 
    97  
    98 gunzip terminfo.src.gz 
    99 tic terminfo.src 
    100  
    101 note: tic says that terminfo.src has some errors, but i didn't  
    102 care, 'cause i really need the definitions for xterm* and putty*  
    103 terminals. 
    104         mirko <mirkobau> 
    105 Tue 25 Apr 2006 01:44:34 PM UTC, comment #1: 
    106  
    107 http://puttyssh.org/faq.html#faq-term 
    108  
    109 Where does putty-256color come from ? 
    110  
    111 Anyway, I think that your suggestion about adding a new section to  
    112 the configuration file makes sense. 
    113         Pavel Tsekov <ptsekov> 
    114 Project Administrator 
    115 Thu 22 Jun 2006 01:30:35 PM UTC, original submission: 
    116  
    117 putty (puttyssh.org) is an xterm-compliant terminal emulator with  
    118 mouse support, and has its own terminfo definition file that  
    119 instructs ncurses how to correctly recognize the keys received, but  
    120 in 'src/main.c' the 'if..' block does tests only on xterm, rxvt,  
    121 and dtterm terminals. 
    122  
    123 i used TERM=xterm-color, but when i found the terminfo file 'putty- 
    124 256color' i wanted to use it. 
    125 After standard compilation everythyng was running well (home/end  
    126 keys, and all others), but mc had no mouse support. 
    127  
    128 actually i have corrected this problem adding the comparison: 
    129  
    130 || strncmp (termvalue, "putty", 5) == 0 
    131  
    132 in the main.c file, in function init_xterm_support(), but i suggest  
    133 to insert a parameter in a global option file, in wich a sysadmin  
    134 could insert a line such as: 
    135  
    136 [xterm-compliant] 
    137 xterm* 
    138 rxvt* 
    139 dtterm 
    140 putty* 
    141 fooxterm* 
    142 barxterm* 
    143 ... 
    144  
    145 and so on. 
    146 thank you for the time spent in reading my opinions. 
    147  
    148 bye from Mir (it@euro). 
    149148}}}